Bug 1774614

Summary: SELinux is preventing zebra from 'read' accesses on the file labeled nsfs_t.
Product: [Fedora] Fedora Reporter: Brian J. Murrell <brian>
Component: selinux-policyAssignee: Richard Fiľo <rfilo>
Status: CLOSED ERRATA QA Contact: Milos Malik <mmalik>
Severity: medium Docs Contact:
Priority: medium    
Version: 31CC: dwalsh, lvrabec, mgrepl, mmalik, plautrba, rfilo, zpytela
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: abrt_hash:60afaebd358a382840fbb9b4c2ff70c0c82ebba8af1e13f6d04fa61215b41112;
Fixed In Version: selinux-policy-3.14.4-44.fc31 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-01-21 01:38:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Brian J. Murrell 2019-11-20 14:50:47 UTC
Description of problem:
Don't know what caused this.
SELinux is preventing zebra from 'read' accesses on the file labeled nsfs_t.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that zebra should be allowed read access on file labeled nsfs_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'zebra' --raw | audit2allow -M my-zebra
# semodule -X 300 -i my-zebra.pp

Additional Information:
Source Context                system_u:system_r:zebra_t:s0
Target Context                system_u:object_r:nsfs_t:s0
Target Objects                Unknown [ file ]
Source                        zebra
Source Path                   zebra
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    <Unknown>
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.3.11-300.fc31.x86_64 #1 SMP Tue
                              Nov 12 19:08:07 UTC 2019 x86_64 x86_64
Alert Count                   16
First Seen                    2019-11-01 10:13:26 EDT
Last Seen                     2019-11-17 15:42:54 EST
Local ID                      0dfc5d04-65ce-478c-ac5c-0a426d10c54c

Raw Audit Messages
type=AVC msg=audit(1574023374.724:119): avc:  denied  { read } for  pid=1257 comm="ospfd" dev="nsfs" ino=4026531992 scontext=system_u:system_r:zebra_t:s0 tcontext=system_u:object_r:nsfs_t:s0 tclass=file permissive=0


Hash: zebra,zebra_t,nsfs_t,file,read


Additional info:
component:      selinux-policy
reporter:       libreport-2.11.3
hashmarkername: setroubleshoot
kernel:         5.3.11-300.fc31.x86_64
type:           libreport

Comment 2 Lukas Vrabec 2019-11-28 15:20:47 UTC
commit 7ca1db2428eeacf28ad9f119688299daa8d91d06 (HEAD -> rawhide, origin/rawhide, origin/HEAD)
Author: Richard Filo <rfilo>
Date:   Thu Nov 28 12:18:58 2019 +0100

    Allow zebra_t domain to read files labled as nsfs_t.
    
    Fixes:https://bugzilla.redhat.com/show_bug.cgi?id=1774614

Comment 3 Fedora Update System 2020-01-14 01:43:34 UTC
selinux-policy-3.14.4-44.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-397eea28b7

Comment 4 Fedora Update System 2020-01-21 01:38:45 UTC
selinux-policy-3.14.4-44.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.